"use strict";

const HtmlMinifier = require('html-minifier').minify;

module.exports = function(code, settings) {

	code = HtmlMinifier(code, {
		collapseBooleanAttributes: settings.collapseBooleanAttributes,
		collapseInlineTagWhitespace: settings.collapseInlineTagWhitespace,
		collapseWhitespace: settings.collapseWhitespace,
		customEventAttributes: settings.eventAttributes,
		decodeEntities: settings.decodeEntities,
		includeAutoGeneratedTags: settings.includeAutoGeneratedTags,
		minifyCSS: settings.minifyCSS,
		minifyJS: settings.minifyJS,
		removeAttributeQuotes: settings.removeAttributeQuotes,
		removeComments: settings.removeComments,
		removeEmptyAttributes: settings.removeEmptyAttributes,
		removeOptionalTags: settings.removeOptionalTags,
		removeRedundantAttributes: settings.removeRedundantAttributes,
		removeScriptTypeAttributes: settings.removeScriptTypeAttributes,
		removeStyleLinkTypeAttributes: settings.removeStyleLinkTypeAttributes,
		removeTagWhitespace: settings.removeTagWhitespace,
		sortAttributes: settings.sortAttributes,
		sortClassName: settings.sortClassName,
		trimCustomFragments: settings.trimCustomFragments,
	});

	return code
		.replace(/<zc-space ?\/?>/g, ' ')
		.replace(/<zc-newline ?\/?>/g, '\n')
		.replace(/<zc-tab ?\/?>/g, '\t');

};
