"use strict";

const HtmlMinifier = require('html-minifier').minify;

module.exports = function(code) {
	code = HtmlMinifier(code, {
		caseSensitive: true,
		collapseInlineTagWhitespace: true,
		collapseWhitespace: true,
		decodeEntities: true,
		includeAutoGeneratedTags: false,
		keepClosingSlash: true,
		trimCustomFragments: true,
	});

	return code
		.replace(/<zc-space ?\/>/g, ' ')
		.replace(/<zc-newline ?\/>/g, '\n')
		.replace(/<zc-tab ?\/>/g, '\t');
};